import{s as le,z as re,o as me,n as pe}from"../chunks/scheduler.182ea377.js";import{S as ue,i as fe,g as r,s,p as x,A as ge,h as m,f as n,c as l,j as Q,q as U,m as C,k as f,v as q,a,r as P,d as W,t as j,u as V}from"../chunks/index.008d68e4.js";import{T as ce}from"../chunks/Tip.4f096367.js";import{I as he}from"../chunks/IconCopyLink.96bbb92b.js";import{C as X}from"../chunks/CodeBlock.5ed6eb7b.js";import{D as de}from"../chunks/DocNotebookDropdown.bb388256.js";function be(J){let i,c='Want to generate images of something else? Take a look at the training <a href="../training/unconditional_training">guide</a> to learn how to train a model to generate your own images.';return{c(){i=r("p"),i.innerHTML=c},l(o){i=m(o,"P",{"data-svelte-h":!0}),C(i)!=="svelte-16mkqem"&&(i.innerHTML=c)},m(o,p){a(o,i,p)},p:pe,d(o){o&&n(i)}}}function _e(J){let i,c,o,p,L,h,Y,Z,K="Unconditional image generation",E,d,F,b,O="Unconditional image generation generates images that look like a random sample from the training data the model was trained on because the denoising process is not guided by any additional context like text or image.",G,_,ee='To get started, use the <a href="/docs/diffusers/v0.25.0/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a> to load the <a href="https://huggingface.co/anton-l/ddpm-butterflies-128" rel="nofollow">anton-l/ddpm-butterflies-128</a> checkpoint to generate images of butterflies. The <a href="/docs/diffusers/v0.25.0/en/api/pipelines/overview#diffusers.DiffusionPipeline">DiffusionPipeline</a> downloads and caches all the model components required to generate an image.',H,$,I,g,R,y,te='The output image is a <a href="https://pillow.readthedocs.io/en/stable/reference/Image.html?highlight=image#the-image-class" rel="nofollow"><code>PIL.Image</code></a> object that can be saved:',S,w,D,v,ne="You can also try experimenting with the <code>num_inference_steps</code> parameter, which controls the number of denoising steps. More denoising steps typically produce higher quality images, but it’ll take longer to generate. Feel free to play around with this parameter to see how it affects the image quality.",z,k,A,M,ae="Try out the Space below to generate an image of a butterfly!",B,u,ie,N;return h=new he({}),d=new de({props:{classNames:"absolute z-10 right-0 top-0",options:[{label:"Mixed",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/en/unconditional_image_generation.ipynb"},{label:"PyTorch",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/en/pytorch/unconditional_image_generation.ipynb"},{label:"TensorFlow",value:"https://colab.research.google.com/github/huggingface/notebooks/blob/main/diffusers_doc/en/tensorflow/unconditional_image_generation.ipynb"},{label:"Mixed",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/en/unconditional_image_generation.ipynb"},{label:"PyTorch",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/en/pytorch/unconditional_image_generation.ipynb"},{label:"TensorFlow",value:"https://studiolab.sagemaker.aws/import/github/huggingface/notebooks/blob/main/diffusers_doc/en/tensorflow/unconditional_image_generation.ipynb"}]}}),$=new X({props:{code:"ZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMERpZmZ1c2lvblBpcGVsaW5lJTBBJTBBZ2VuZXJhdG9yJTIwJTNEJTIwRGlmZnVzaW9uUGlwZWxpbmUuZnJvbV9wcmV0cmFpbmVkKCUyMmFudG9uLWwlMkZkZHBtLWJ1dHRlcmZsaWVzLTEyOCUyMikudG8oJTIyY3VkYSUyMiklMEFpbWFnZSUyMCUzRCUyMGdlbmVyYXRvcigpLmltYWdlcyU1QjAlNUQlMEFpbWFnZQ==",highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DiffusionPipeline

generator = DiffusionPipeline.from_pretrained(<span class="hljs-string">&quot;anton-l/ddpm-butterflies-128&quot;</span>).to(<span class="hljs-string">&quot;cuda&quot;</span>)
image = generator().images[<span class="hljs-number">0</span>]
image`}}),g=new ce({props:{$$slots:{default:[be]},$$scope:{ctx:J}}}),w=new X({props:{code:"aW1hZ2Uuc2F2ZSglMjJnZW5lcmF0ZWRfaW1hZ2UucG5nJTIyKQ==",highlighted:'image.save(<span class="hljs-string">&quot;generated_image.png&quot;</span>)'}}),k=new X({props:{code:"aW1hZ2UlMjAlM0QlMjBnZW5lcmF0b3IobnVtX2luZmVyZW5jZV9zdGVwcyUzRDEwMCkuaW1hZ2VzJTVCMCU1RCUwQWltYWdl",highlighted:`image = generator(num_inference_steps=<span class="hljs-number">100</span>).images[<span class="hljs-number">0</span>]
image`}}),{c(){i=r("meta"),c=s(),o=r("h1"),p=r("a"),L=r("span"),x(h.$$.fragment),Y=s(),Z=r("span"),Z.textContent=K,E=s(),x(d.$$.fragment),F=s(),b=r("p"),b.textContent=O,G=s(),_=r("p"),_.innerHTML=ee,H=s(),x($.$$.fragment),I=s(),x(g.$$.fragment),R=s(),y=r("p"),y.innerHTML=te,S=s(),x(w.$$.fragment),D=s(),v=r("p"),v.innerHTML=ne,z=s(),x(k.$$.fragment),A=s(),M=r("p"),M.textContent=ae,B=s(),u=r("iframe"),this.h()},l(e){const t=ge("svelte-1phssyn",document.head);i=m(t,"META",{name:!0,content:!0}),t.forEach(n),c=l(e),o=m(e,"H1",{class:!0});var T=Q(o);p=m(T,"A",{id:!0,class:!0,href:!0});var oe=Q(p);L=m(oe,"SPAN",{});var se=Q(L);U(h.$$.fragment,se),se.forEach(n),oe.forEach(n),Y=l(T),Z=m(T,"SPAN",{"data-svelte-h":!0}),C(Z)!=="svelte-sygj17"&&(Z.textContent=K),T.forEach(n),E=l(e),U(d.$$.fragment,e),F=l(e),b=m(e,"P",{"data-svelte-h":!0}),C(b)!=="svelte-tcg2lt"&&(b.textContent=O),G=l(e),_=m(e,"P",{"data-svelte-h":!0}),C(_)!=="svelte-13hqhb7"&&(_.innerHTML=ee),H=l(e),U($.$$.fragment,e),I=l(e),U(g.$$.fragment,e),R=l(e),y=m(e,"P",{"data-svelte-h":!0}),C(y)!=="svelte-1ut9jwr"&&(y.innerHTML=te),S=l(e),U(w.$$.fragment,e),D=l(e),v=m(e,"P",{"data-svelte-h":!0}),C(v)!=="svelte-vy6m6f"&&(v.innerHTML=ne),z=l(e),U(k.$$.fragment,e),A=l(e),M=m(e,"P",{"data-svelte-h":!0}),C(M)!=="svelte-se673n"&&(M.textContent=ae),B=l(e),u=m(e,"IFRAME",{src:!0,frameborder:!0,width:!0,height:!0}),Q(u).forEach(n),this.h()},h(){f(i,"name","hf:doc:metadata"),f(i,"content",JSON.stringify($e)),f(p,"id","unconditional-image-generation"),f(p,"class","header-link block pr-1.5 text-lg no-hover:hidden with-hover:absolute with-hover:p-1.5 with-hover:opacity-0 with-hover:group-hover:opacity-100 with-hover:right-full"),f(p,"href","#unconditional-image-generation"),f(o,"class","relative group"),re(u.src,ie="https://stevhliu-unconditional-image-generation.hf.space")||f(u,"src",ie),f(u,"frameborder","0"),f(u,"width","850"),f(u,"height","500")},m(e,t){q(document.head,i),a(e,c,t),a(e,o,t),q(o,p),q(p,L),P(h,L,null),q(o,Y),q(o,Z),a(e,E,t),P(d,e,t),a(e,F,t),a(e,b,t),a(e,G,t),a(e,_,t),a(e,H,t),P($,e,t),a(e,I,t),P(g,e,t),a(e,R,t),a(e,y,t),a(e,S,t),P(w,e,t),a(e,D,t),a(e,v,t),a(e,z,t),P(k,e,t),a(e,A,t),a(e,M,t),a(e,B,t),a(e,u,t),N=!0},p(e,[t]){const T={};t&2&&(T.$$scope={dirty:t,ctx:e}),g.$set(T)},i(e){N||(W(h.$$.fragment,e),W(d.$$.fragment,e),W($.$$.fragment,e),W(g.$$.fragment,e),W(w.$$.fragment,e),W(k.$$.fragment,e),N=!0)},o(e){j(h.$$.fragment,e),j(d.$$.fragment,e),j($.$$.fragment,e),j(g.$$.fragment,e),j(w.$$.fragment,e),j(k.$$.fragment,e),N=!1},d(e){e&&(n(c),n(o),n(E),n(F),n(b),n(G),n(_),n(H),n(I),n(R),n(y),n(S),n(D),n(v),n(z),n(A),n(M),n(B),n(u)),n(i),V(h),V(d,e),V($,e),V(g,e),V(w,e),V(k,e)}}}const $e={local:"unconditional-image-generation",title:"Unconditional image generation"};function ye(J){return me(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ze extends ue{constructor(i){super(),fe(this,i,ye,_e,le,{})}}export{Ze as component};
